apply plugin: 'com.android.application'
apply plugin: 'com.google.gms.google-services'

android {
    compileSdkVersion 33
    defaultConfig {
        applicationId "com.techstudio.anonymouscall"
        minSdkVersion 19
        targetSdkVersion 33
        multiDexEnabled true
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }
    packagingOptions {
        resources {
            excludes += ['AndroidManifest.xml']
        }
    }
    buildTypes {
        release {
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    namespace 'com.techstudio.anonymouscall'
}

repositories {
    google()
    mavenCentral()
    maven { url 'https://jitpack.io' }


}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation 'androidx.appcompat:appcompat:1.6.1'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
    implementation 'com.google.firebase:firebase-messaging:23.1.2'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'com.google.firebase:firebase-auth:22.0.0'
    implementation 'com.google.firebase:firebase-database:20.2.1'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.5'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.5.1'
    implementation project(path: ':sinch-android-rtc-3.17.1')
    implementation 'androidx.cardview:cardview:1.0.0'
    implementation 'com.google.android.material:material:1.8.0'
    implementation 'com.github.ksoichiro:richbuttons:0.1.1@aar'
    implementation 'com.google.android.gms:play-services-ads:19.0.1'
    implementation 'com.skyfishjy.ripplebackground:library:1.0.1'
    implementation 'com.github.heetch:Android-country-picker:1.0.6'
    implementation 'com.android.support:multidex:1.0.3'
    implementation 'com.karumi:dexter:6.0.2'
    implementation "com.github.skydoves:elasticviews:2.0.7"
    implementation 'com.github.castorflex.smoothprogressbar:library:1.1.0'
    implementation 'com.android.billingclient:billing:5.2.0'
}
